# $Revision: 1.65 $, $Date: 2011/10/04 12:52:36 $
%include	/usr/lib/rpm/macros.perl
%define		pdir	Convert
%define		pnam	UUlib
Summary:	Convert::UUlib - Perl interface to the uulib library
Summary(pl.UTF-8):	Convert::UUlib - interfejs Perla dla biblioteki uulib
Name:		perl-Convert-UUlib
Version:	1.33
Release:	4
Epoch:		2
# same as perl, but library is GPL
License:	GPL
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Convert/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	d4e3330562e5d4f6c022b0a0619a2c71
URL:		http://search.cpan.org/dist/Convert-UUlib/
BuildRequires:	perl-devel >= 1:5.8.4
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Convert::UUlib Perl module is an interface to the uulib
decoding/encoding library (a.k.a uudeview/uuenview).

%description -l pl.UTF-8
Moduł Perla Convert::UUlib stanowi interfejs Perla dla biblioteki
kodującej/rozkodowującej uulib (nazywanej też uudeview/uuenview).

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor

%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README example-decoder
%{perl_vendorarch}/Convert/*
%dir %{perl_vendorarch}/auto/Convert/UUlib
%{perl_vendorarch}/auto/Convert/UUlib/UUlib.bs
%attr(755,root,root) %{perl_vendorarch}/auto/Convert/UUlib/UUlib.so
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Convert-UUlib.spec,v $
Revision 1.65  2011/10/04 12:52:36  lisu
- rel 4

Revision 1.64  2010/11/12 23:38:02  pawelz
- release 3

Revision 1.63  2010/06/06 08:32:28  arekm
- release 2

Revision 1.62  2009/11/16 05:48:36  amateja
- updated to 1.33

Revision 1.61  2009/10/19 12:40:38  amateja
- updated to 1.32

Revision 1.60  2009/06/17 07:00:17  amateja
- updated to 1.12

Revision 1.59  2009/03/13 20:21:45  hawk
- release 6

Revision 1.58  2008/03/27 13:44:48  jezik
- pointless BR bump dropped (thx to glen, and sorry for the mistake ;-)

Revision 1.57  2008-03-26 03:25:35  jezik
- perl 5.10

Revision 1.56  2008-03-18 12:30:42  arekm
- rel 3

Revision 1.55  2008-02-10 12:02:41  arekm
- rel 2

Revision 1.54  2008-01-10 08:38:35  glen
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

Revision 1.53  2007-12-26 22:07:08  zbyniu
- up to 1.09

Revision 1.52  2007-04-12 22:04:52  zawadaa
- up to 1.08

Revision 1.51  2007/02/13 07:16:53  glen
- tabs in preamble

Revision 1.50  2007/02/12 00:49:27  baggins
- converted to UTF-8

Revision 1.49  2006/07/26 19:33:39  glen
- fix md5

Revision 1.48  2006/07/26 19:26:51  glen
- 1.06, Epoch: 2 due 1.051 > 1.06, generic URL

Revision 1.47  2005/10/17 07:15:23  hawk
- release 3 (2 went to Ra)

Revision 1.46  2005/05/30 13:16:02  qboosh
- updated to 1.051 (fixes CAN-2005-1349)

Revision 1.45  2005/01/03 13:47:37  adamg
- updated to 1.04

Revision 1.44  2004/11/03 22:30:11  paladine
- formatting

Revision 1.43  2004/06/05 18:10:34  radek
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

Revision 1.42  2004/05/02 08:14:27  adamg
- updated to 1.03

Revision 1.41  2004/04/19 07:05:07  adamg
- updated to 1.02

Revision 1.40  2004/04/18 22:17:10  ankry
- license fixes and cosmetics

Revision 1.39  2004/03/28 15:27:59  adamg
- updated to 1.01

Revision 1.38  2003/12/23 08:09:56  misi3k
- updated to 1.0

Revision 1.37  2003/12/11 14:02:09  qboosh
- vendorarch{,/auto}/Convert dirs moved to perl.spec

Revision 1.36  2003/09/09 10:24:30  ankry
- spaces -> tab

Revision 1.35  2003/08/18 08:08:34  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.34  2003/05/28 13:00:30  malekith
- massive attack: source-md5

Revision 1.33  2003/05/25 06:24:33  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.32  2003/04/11 18:59:21  radek
- BR: perl-devel; do not BR: perl

Revision 1.31  2003/03/01 18:46:20  radek
- should be ready for perl-5.8.0; release++

Revision 1.30  2003/02/25 00:37:41  radek
- use the __perl macro

Revision 1.29  2003/02/19 14:07:52  ankry
- Epoch 1

Revision 1.28  2003/02/19 13:56:09  ankry
- updated to 0.31

Revision 1.27  2003/02/18 15:28:37  ankry
- massive attack: change CPAN URLs

Revision 1.26  2002/08/06 07:47:33  kloczek
- updated to 0.213.

Revision 1.25  2002/07/16 23:23:54  ankry
- translations, cleaning
- added %%{perl_sitearch}/Convert, %%{perl_sitearch}/auto/Convert dirs
- release 2

Revision 1.24  2002/07/11 10:51:19  qboosh
- new %%doc and cosmetics

Revision 1.23  2002/07/11 07:58:00  depesz
- new version; should work; STBR

Revision 1.22  2002/07/10 08:46:45  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.21  2002/05/11 14:28:06  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.20  2002/02/25 10:30:12  depesz
cleanup; revision++

Revision 1.19  2002/02/22 23:29:26  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.18  2002/02/13 14:10:31  depesz
automatic: Source location unified, Relase Up

Revision 1.17  2002/02/10 15:24:42  depesz
adapterized

Revision 1.16  2002/01/18 02:14:13  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.15  2001/09/20 11:35:01  mis
- autoupdated to 0.201

Revision 1.14  2001/05/11 08:21:17  mis
- autoupdated to 0.111

Revision 1.13  2001/05/02 21:51:25  qboosh
- adapterized and made spec %%debug ready or added using %%rpm*flags macros

Revision 1.12  2001/04/17 12:06:53  baggins
- release 2
- rebuild with perl 5.6.1

Revision 1.11  2001/04/14 18:00:05  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.10  2001/02/19 13:19:03  mis
- updated (by autoup) to 0.11

Revision 1.9  2001/01/25 20:03:43  misiek
Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.8  2000/12/30 03:17:58  kloczek
- release 2: rebuild against perl 5.6 and use new rpm automation.

Revision 1.7  2000/06/09 07:23:28  kloczek
- added using %%{__make} macro.

Revision 1.6  2000/05/16 22:13:21  kloczek
- spec adapterized.

Revision 1.5  2000/04/01 11:15:17  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.4  2000/03/28 16:54:47  baggins
- translated kloczkish into english

Revision 1.3  2000/02/17 20:36:44  pius
- updated to 0.06

Revision 1.2  1999/11/05 21:24:10  pius
- added '%%include /usr/lib/rpm/macros.perl'
- modified BuildRequires rules

Revision 1.1  1999/10/02 21:49:53  pius
- initial release
